

//+------------------------------------------------------------------+

//| Caroline's Ichimoku Kinko Hyo.mq4 |

//| Copyright 2013, MetaQuotes Software Corp. |

//| http://www.metaquotes.net |

//+------------------------------------------------------------------+

#property copyright "Copyright 2013, MetaQuotes Software Corp."

#property link "http://www.metaquotes.net"




extern double Lots = 0.1; // Amount of lots to trade with

extern double TakeProfit = 0; // The requested close price that determines the maximum profit for the given trade

extern double TrailingStop = 0; // Min number of pips in profit for the trailing stop to start

extern double StopLoss = 0; // The requested close price that determines the maximum loss allowed for the given trade

extern double TenkanSen = 9; // Tenkan-sen (highest high + lowest low)/2 for the last 9 periods

extern double KijunSen = 26; // Kijun-sen (highest high + lowest low)/2 for the past 26 periods




//+------------------------------------------------------------------+

//| expert initialization function |

//+------------------------------------------------------------------+

int init()

{

Alert ("Function init() triggered at start"); // Alert Initialization

//----


//----

return(0); // Exit Initialization

}

//+------------------------------------------------------------------+

//| expert start function |

//+------------------------------------------------------------------+

int start()

{

double TenkanSen;

double KijunSen;

int cnt, ticket, total;

TenkanSen=iIchimoku(NULL, 0, 9, 26, 52, MODE_TENKANSEN, 0);

KijunSen=iIchimoku(NULL, 0, 9, 26, 52, MODE_KIJUNSEN, 0);

total= OrdersTotal();

//----

if(total<1 && TenkanSen>KijunSen)

{

ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,0,0,NULL,0,0,Green);

}

if(total<1 && TenkanSen<KijunSen)

{

ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,0,0,NULL,0,0,Red);

}

//----

if(total>0 && TenkanSen==KijunSen && OrderType()==OP_BUY)

{

ticket=OrderClose(OrderTicket(),OrderLots(),Bid,3,Blue);

}

if(total>0 && TenkanSen==KijunSen && OrderType()==OP_SELL)

{

ticket=OrderClose(OrderTicket(),OrderLots(),Ask,3,Blue);

}

return(0);

}

//+------------------------------------------------------------------+

//| expert deinitialization function |

//+------------------------------------------------------------------+

int deinit()

{

Alert ("Function deinit() triggered at exit"); // Alert Deinitialization

//----


//----

return(0); // Exit Deinitialization

}

//+------------------------------------------------------------------+ 


